---
title: Planograms
slug: planograms
docTags: 
createdAt: 2022-04-13T09:35:42.000Z
---

Methods allow you to get a complete list or a specific planogram in Eyrene, view information about them, update all fields, or only select planogram fields. Also, you can delete the planogram by ID.

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /planograms

Retrieve a list of planograms.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planograms/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "string",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "string",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "1rlkLKO5JlhTk3S80Ce0g",
        "code": "{\n   \"count\":2,\n   \"next\":\"http://example.com\",\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":1,\n         \"name\":\"planogram_1\",\n         \"display\":19\n      },\n      {\n         \"id\":2,\n         \"name\":\"planogram_2\",\n         \"display\":19\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1rlkLKO5JlhTk3S80Ce0g"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/planograms/\r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"limit=3\" \\\r\n  -F \"offset=0\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /planograms",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "OWyM5FqDuLRMms4xxOAqJ"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands#response-definitions)

***

**`count`** *integer*

The number of planograms.

***

**`next`** *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

**`previous`** *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

**`results`** *array of objects*

An array of objects with information about planograms.

- **`id`** *string*
  Unique ID.
- **`name`** *string*
  Human-readable name.
- **`display`** *string*[
  Display](https://docs.eyrene.com/displays) ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#3b9f0f">POST</font> /planograms

Сreate a new planogram.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://instance_name/api/v1.5/planograms/",
  "name": "Request example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "xcVqafQ2RCx_iOpUkQJ43",
        "code": "{\n   \"result\": \"CREATED\"\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xcVqafQ2RCx_iOpUkQJ43"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X POST\r\n  https://test.eyrene.com/api/v1.5/planograms/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"id=3\" \\\r\n  -F \"name=planogram_3\" \\\r\n  -F \"display=20\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "POST /planograms",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "TnoYYjoFu4zPGJeOmWb6n"
}
```
:::
::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /planograms/&#x7B;id}

Retrieve detailed information about the planogram by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.5/planograms/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":1,\n   \"name\":\"planogram_1\",\n   \"display\":19\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/planograms/1/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /planograms/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-2",
  "legacyHash": "i5KoUJvYpCgsoCyIG9JFZ"
}
```
:::

## Response parameters

***

**`id`** *string*

Unique ID.

***

**`name`** *string*

Human-readable name.

***

**`display`** *string*

[Display](https://docs.eyrene.com/displays) ID.

***

**`musthavelist`** *string*

Planogram ID.

***

[](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions)
::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#f77d05">PUT</font> /planograms/&#x7B;id}

Update all planogram fields.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planograms/{id}",
  "name": "Request example",
  "method": "PUT",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "L7oDtGV1IY14Re9Xv3AXQ",
        "code": "{\n   \"id\":24,\n   \"name\":\"new_planogram\",\n   \"display\":34\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "L7oDtGV1IY14Re9Xv3AXQ"
  },
  "examples": {
    "languages": [
      {
        "id": "GBxujaKFUEJ3yAzlqWoID",
        "code": "curl –i –X PUT\n  https://test.inspector-cloud.com/api/v1.5/planograms/1/ \n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \n  -F \"id=24\" \\\n  -F \"name=new_planogram\" \\\n  -F \"display=34\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GBxujaKFUEJ3yAzlqWoID"
  },
  "description": "PUT /planograms/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-3",
  "legacyHash": "hRSusi2y8ZWTKcwN1R38J"
}
```
:::

## [​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)Response parameters

***

**`id`** *string*

Unique ID.

***

**`name`** *string*

Human-readable name.

***

**`display`** *string*

[Display](https://docs.eyrene.com/displays) ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#03d1eb">PATCH</font> /planograms/&#x7B;id}

Update some of the planogram fields.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planograms/{id}",
  "name": "Request example",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":1,\n   \"name\":\"new_planogram\",\n   \"display\":19\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X PATCH\r\n  https://test.eyrene.com/api/v1.5/planograms/1/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\r\n  -F \"name=new_planogram\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "PATCH /planograms/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-4",
  "legacyHash": "a0dCqRqklOq2qGY9Bc7zS"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)

***

**`id`** *string*

Unique ID.

***

**`name`** *string*

Human-readable name.

***

**`Display`** *string*

[Display](https://docs.eyrene.com/displays) ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#e95c5c">DELETE</font> /planograms/&#x7B;id}

Delete planogram by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/planograms/{id}",
  "name": "Request example",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Planogram ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "dU9xR9j8Bu4jftmV8BprY",
        "code": "{\n   \"result\":\"OK\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dU9xR9j8Bu4jftmV8BprY"
  },
  "examples": {
    "languages": [
      {
        "id": "N8QhhTSDO9fbQybTRclDg",
        "code": "curl –i –X DELETE\n  https://test.eyrene.com/api/v1.5/planograms/1/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "N8QhhTSDO9fbQybTRclDg"
  },
  "description": "DELETE /planograms/{id}",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-5",
  "legacyHash": "0tNNJMAGG5oMc0EAfvCAN"
}
```
:::
::::

***

